Subject: Re: [PATCH v12 net-next 9/9] mfd: ocelot: add support for the vsc7512 chip via spi

From: Colin Foster <[email-masked]>
Date: Fri, 1 Jul 2022 14:04:49 -0700

On Fri, Jul 01, 2022 at 10:38:46PM +0200, Andy Shevchenko wrote:
> On Fri, Jul 1, 2022 at 9:26 PM Colin Foster
> <[email-masked]> wrote:
> >
> > The VSC7512 is a networking chip that contains several peripherals. Many of
> > these peripherals are currently supported by the VSC7513 and VSC7514 chips,
> > but those run on an internal CPU. The VSC7512 lacks this CPU, and must be
> > controlled externally.
> >
> > Utilize the existing drivers by referencing the chip as an MFD. Add support
> > for the two MDIO buses, the internal phys, pinctrl, and serial GPIO.
> 
> ...
> 
> > +       static const u8 dummy_buf[16] = {0};
> 
> On stack for DMA?! Hmm...

I'll respond to the rest of your comments as I go through them. But this
one in particular I'll apologize for. Ew. I'll fix that right up!